Jan 20, 2024: version 7.6.0

    * CHOLMOD 5.2.0: bug fix (restore ABI compatibility with 5.0.x, i.e., 5.2.0
        is ABI incompatible to 5.1.x)
    * SuiteSparse_config 7.6.0, Mongoose 3.3.2, COLAMD 3.3.2, CCOLAMD 3.3.2:
        port Makefile to Windows
    * SPQR 4.3.2: remove unused parameters
    * LAGraph 1.1.2, CSparse 4.3.1, ParU 0.1.2, GraphBLAS 9.0.1:
        minor updates to build system
    * Example 1.6.2, UMFPACK 6.3.2, KLU 2.3.2, SuiteSparse_Mongoose 3.3.2,
        SPEX 2.3.2: revise version numbers of dependent packages
    * AMD, BTF, CAMD, CXSparse, LDL, RBio: unchanged
    * Package versions in this release:
        SuiteSparse_config 7.6.0
        AMD 3.3.1
        BTF 2.3.1
        CAMD 3.3.1
        CCOLAMD 3.3.2
        CHOLMOD 5.2.0
        COLAMD 3.3.2
        CSparse 4.3.1
        CXSparse 4.3.1
        Example 1.6.2
        GraphBLAS 9.0.1
        KLU 2.3.2
        LDL 3.3.1
        LAGraph 1.1.2
        SuiteSparse_Mongoose 3.3.2
        ParU 0.1.2
        RBio 4.3.1
        SPEX 2.3.2
        SPQR 4.3.2
        UMFPACK 6.3.2

Jan 12, 2024: version 7.5.1

    * SuiteSparse_config: bug fix to SUITESPARSE__VERCODE macro.
    * Example 1.6.1: add tests for *__VERSION macros.

    * Package versions in this release:
        SuiteSparse_config 7.5.1
        AMD 3.3.1
        BTF 2.3.1
        CAMD 3.3.1
        CCOLAMD 3.3.1
        CHOLMOD 5.1.1
        COLAMD 3.3.1
        CSparse 4.3.0
        CXSparse 4.3.1
        Example 1.6.1
        GraphBLAS 9.0.0
        KLU 2.3.1
        LDL 3.3.1
        LAGraph 1.1.1
        SuiteSparse_Mongoose 3.3.1
        ParU 0.1.1
        RBio 4.3.1
        SPEX 2.3.1
        SPQR 4.3.1
        UMFPACK 6.3.1

Jan 10, 2024: version 7.5.0

    * SuiteSparse_config: 7.5.0, to reflect the addition of GraphBLAS 9.0.0.
        Minor updates to build system, including bug fixes when specifying a
        specific BLAS/LAPACK library, and configuration of *.pc files.
    * GraphBLAS 9.0.0: supporting the v2.1 C API;
        see https://github.com/GraphBLAS/graphblas-api-c
    * Example 1.6.0: using GraphBLAS 9.0.0 and SuiteSparse_config 7.5.0,
        remove explicit dependencies on OpenMP, libm, GMP, and MPFR.
        Add programs to test the *Config.cmake of each package.
    * All other packages (except CSparse): minor updates to build system
        and MATLAB interfaces

    * Package versions in this release:
        SuiteSparse_config 7.5.0
        AMD 3.3.1
        BTF 2.3.1
        CAMD 3.3.1
        CCOLAMD 3.3.1
        CHOLMOD 5.1.1
        COLAMD 3.3.1
        CSparse 4.3.0 (unchanged from SuiteSparse 7.4.0)
        CXSparse 4.3.1
        Example 1.6.0
        GraphBLAS 9.0.0
        KLU 2.3.1
        LDL 3.3.1
        LAGraph 1.1.1
        SuiteSparse_Mongoose 3.3.1
        ParU 0.1.1
        RBio 4.3.1
        SPEX 2.3.1
        SPQR 4.3.1
        UMFPACK 6.3.1

Dec 30, 2023: version 7.4.0

    * major change to build system: by Markus Mützel.  Includes a
        top-level CMakeLists.txt that builds all packages, and support for
        pkg-config. Default location of files is now listed below, where
        PACKAGE is one of the packages in SuiteSparse:
        * CMAKE_INSTALL_PREFIX/include/suitesparse: include files
        * CMAKE_INSTALL_PREFIX/lib: compiled libraries
        * CMAKE_INSTALL_PREFIX/lib/cmake/SuiteSparse: helper *.cmake scripts
            for all of SuiteSparse
        * CMAKE_INSTALL_PREFIX/lib/cmake/PACKAGE: *Config.cmake scripts for a
            specific package
        * CMAKE_INSTALL_PREFIX/lib/pkgconfig/PACKAGE.pc: *.pc pkg-config
            files with information for a specific package
        Additional changes are listed below.
    * LAGraph 1.1.0: new package: graph algorithms based on GraphBLAS
    * ParU 0.1.0: new package: parallel unsymmetric multifrontal method,
        with Mohsen Aznaveh.  This is a stable package but is tagged as 0.1.0
        since the API is still subject to change.
    * CHOLMOD 5.1.0: full support for sparse single precision matrices,
        bug fixes in the GPU Module.
    * AMD 3.3.0: minor change for CHOLMOD 5.1.0 tests
    * CAMD 3.3.0: minor change for CHOLMOD 5.1.0 tests
    * SuiteSparse_config 7.4.0: added wrappers for single-precision BLAS/LAPACK,
        added SUITESPARSE_TIME macro.
    * *_version: added methods to all package that didn't have them:
        AMD, CAMD, COLAMD, CCOLAMD, BTF, CSparse, CXSparse, KLU, BTF, RBio,
        SPEX, SPQR, and UMFPACK.

Oct 31, 2023: version 7.3.1

    * CHOLMOD 5.0.1: remove "I" from cholmod.h.

Oct 23, 2023: version 7.3.0

    * CHOLMOD 5.0.0: initial support for sparse single precision matries.
        CHOLMOD:Core replaced with CHOLMOD:Utility
    * updated to require CHOLMOD 5.0.0:
        Example 1.4.3, GPUQREngine 3.3.3, KLU 2.2.2, SPQR 4.2.2, UMFPACK 6.2.2
    * SuiteSparseLAPACK.cmake: allow the use of BLIS/FLAME for LAPACK;
        update from Theirry Thomas.
    * build system: further updates to cmake, by Markus Muetzel.

Oct 18, 2023: version 7.2.2

    * CHOLMOD 4.2.2: bug fix to CHOLMOD/Supernodal (heuristic to determine
        # threads to use for last supernode was incorrect)

Oct 7, 2023: version 7.2.1

    * GraphBLAS 8.2.1: bug fix to GrB_mxm; incorrect handling of typecasting
    * cross-compiler support: replace check_c_source_runs with _compiles,
        for GraphBLAS and SuiteSparse_config, and remove check for
        getenv("HOME").
    * cmake update: add "None" build type, from Antonio Rojas, for Arch Linux,
        to all *Config.cmake files for all packages except CSparse (CXSparse
        is built instead, and CSparse does not have CSparseConfig.cmake file)
    * UMFPACK v6.2.1 and GPUQREngine v3.2.1: copies internal include files
        from other SuiteSparse packages (AMD and SuiteSparse_GPURuntime),
        so these two packages can be built independently.

Sept 8, 2023: version 7.2.0

    * build system: modern cmake structure, by Markus Muetzel.
        Most packages updated to vX.2.0 where X is unchanged (except SPQR
        and Example package).
    * SPQR v4.2.0: Major SO update.  Support for int32 indices by Raye Kimmerer

June 29, 2023: version 7.1.0

    * GraphBLAS v8.0.2: major update with a new JIT feature.
    * build system: many changes to build systems of all packages, contributed
        by Markus Muetzel.
    * RBio 4.0.0: revised API: declaring many input parameters as const
    * CXSparse 4.0.4: changed complex types for C++ callers

Jan 20, 2023: version 7.0.1

    * GraphBLAS v7.4.3: debug was left on in GrB_Matrix_removeElement

Jan 17, 2023: version 7.0.0

    * SuiteSparse_config: now v7.0.0
    * SuiteSparse_config struct: removed from external visibility to simplify
        the Windows build, so that no global data is externally visible.
        This requires a major version number increase from v6.x to v7.x for the
        SuiteSparse meta-package (which has the same version number as
        SuiteSparse_config).  Added get/set methods to SuiteSparse_config to
        access the contents of the struct.
    * NFORTRAN: option added to ignore any Fortran methods, even if a Fortran
        compiler is available.
    * port of new cmake-based build system to Windows
    * UMFPACK 6.1.0: copy/serialize/deserialize methods: added new methods to
        copy, serialize, and deserialize the Numeric and Symbolic objects.  By
        Will Kimmerer, revised by T. Davis.

Dec 29, 2022: SuiteSparse 6.0.4

    * NFORTRAN: option added to disable Fortran entirely
    * GraphBLAS v7.4.1:  global free pool disabled, and GrB_mxm heuristics
        revised.

Dec 23, 2022: SuiteSparse 6.0.3

    * GraphBLAS v7.4.0:  added non-va_arg get/set methods.
    * Mongoose v3.0.3:  change in build for test coverage

Dec 9, 2022: SuiteSparse 6.0.2

    * minor change to build system for nearly all packages: (except CSparse,
        ssget, and MATLAB_Tools):  allows static linkage of all libraries.
        Fortran no longer required.
    * AMD 3.0.2: Fortran no longer required (amd.f and amdbar.f skipped);
        minor change to build system
    * BTF 2.0.2: minor change to build system
    * CAMD 3.0,2: minor change to build system
    * CCOLAMD 3.0.2: minor change to build system
    * CHOLMOD 4.0.2: Fortran no longer required; minor change to build system
    * CXSparse 4.0.2: minor change to build system
    * GPUQREngine 2.0.2: minor change to build system
    * GraphBLAS 7.3.3: -latomic added if needed, using ANSI C11 atomic functions
        for gcc (atomic_compare_exachange_weak instead of __atomic_* variants),
        chunk factor revised for GrB_mxm (generic saxpy3 method);
        minor change to build system
    * KLU 2.0.2: Fortran no longer required; minor change to build system
    * LDL 3.0.2: minor change to build system
    * Mongoose 3.0.2: fixed matrix download in python test scripts (no change
        to the compiled library itself, other than the version/date);
        minor change to build system
    * RBio 3.0.2: minor change to build system
    * SPEX 2.0.2: minor change to build system
    * SPQR 3.0.2: Fortran no longer required; minor change to build system
    * SuiteSparse_GPURuntime 2.0.2: minor change to build system
    * SuiteSparse_config 6.0.2: override C-to-Fortran interface handling if
        no Fortran compiler found; minor change to build system
    * UMFPACK 6.0.2: Fortran no longer required; minor change to build system
    * Example: simple package that illustrates how to use SuiteSparse
        Find*.cmake modules in cmake.
    * not changed from SuiteSparse v6.0.1: ssget, CSparse, MATLAB_Tools

Nov 12, 2022: SuiteSparse 6.0.1

    * BLAS: C prototypes for the Fortan BLAS were unintentionally exposed to
        the user application.  Removed.  If you want to use them, see the
        instructions in SuiteSparse_config.h.

Nov 12, 2022: SuiteSparse 6.0.0

    * major update: using CMake build system for all packages
    * CMake Find*: all packages now have a Find*.cmake.  See
        SuiteSparse_config/cmake_modules.
    * integers: int (32-bit) and SuiteSparse_long (nominally 64-bit) replaced
        with int32_t and int64_t.  The SuiteSparse_long #define has been
        deprecated and removed.  Replace its use with int64_t in any code that
        uses SuiteSparse v6.0.0 or later.  This is unlikely to change any
        use of any SuiteSparse package, but since it's possible that
        SuiteSparse_long was 32-bits on some platforms, the SO_VERSIION of
        all packages has been increased by one.
    * UMFPACK: new options to support ParU.  Single umfpack.h include file.
    * CHOLMOD: Single cholmod.h include file.
    * SuiteSparse/metis-5.1.0: now embedded into CHOLMOD, in a different
        name space.  No longer an independent library.
    * SPDX License Identifier: added to each file. No change in license.
    * BLAS/LAPACK interface: now supports any Fortran BLAS/LAPACK, with
        either 32-bit (default) or 64-bit integers, via FindBLAS.cmake.
    * SPEX: replaces SLIP_LU

Aug 25, 2022, SuiteSparse 5.13.0

    * GraphBLAS v7.2.0:  see GraphBLAS/Doc/ChangeLog for details.
        * performance:  more compact serialization (ZSTD added, now the
            default compression method).
        * MATLAB interface: faster linear indexing, reshape, bandwidth,
            istril, istriu, isbanded, isdiag.  C(I,J)=A can now grow the
            size of C.
        * features: reshape methods, cube root operator, isStoredElement
        * bugs: a minor bug; user-defined types were incorrectly limited to
            128 bytes in size in v7.0.3.

Apr 10, 2022, SuiteSparse 5.12.0

    * GraphBLAS v7.0.3:  see GraphBLAS/Doc/ChangeLog for details.
        * performance: GrB_mxm, GrB_assign, and transpose
        * bug fix: vector iterator for bitmap
        * revised ACM TOMS submission: Doc/toms_parallel_grb2.pdf
        * spec bug: GrB_Matrix_diag was implemented incorrectly,
            thus requiring a version v7.x

Mar 14, 2022, SuiteSparse 5.11.0

    * GraphBLAS v6.2.5:  see GraphBLAS/Doc/ChangeLog for changes.
        Primary ones highlighted here:
        * v2.0 API: v6.x complies with the v2.0 C API of the GraphBLAS Spec.
            Note that GrB_wait, GrB_Info are now different than in the v1.3
            C API Specification (and in v5.x of SuiteSparse:GraphBLAS).
        * GxB_Iterator: to iterate over rows/cols/entries of a matrix or vector
        * GxB_eWiseUnion: like eWiseAdd but with the op always applied
        * GxB_Matrix/Vector_sort: to sort the vectors of a matrix
        * better performance: for sparse-times-dense and dense-times-sparse,
            in particular; also other cases for GrB_mxm, up to 10x faster.
        * Apple Silicon: port @GrB to Octave 7 (thanks to Gabor Szarnyas)
        * added cpu_features: by Google
        * added LZ4/LZ4HC: compression library, http://www.lz4.org (BSD 2),
            v1.9.3, Copyright (c) 2011-2016, Yann Collet, All Rights Reserved.
        * iso-valued matrices and vectors: to exploit the common case of
            an unweighted graph
        * bug fixes: 4 bugs fixed since SuiteSparse 5.10.1 with
            GraphBLAS v5.0.5.  12 other bugs appeared in the interim but
            appeared in versions after v5.0.5 but fixed before ever
            affecting SuiteSparse itself.

May 17, 2021, SuiteSparse 5.10.1

    * CUDA: remove sm_30 from SuiteSparse_config.mk
    * GraphBLAS v5.0.5: minor bug fix
    * minor changes to Makefiles

May 16, 2021, SuiteSparse 5.10.0

    * GraphBLAS v5.0.4: many new features, much faster performance

Mar 3, 2021, SuiteSparse 5.9.0

    * GraphBLAS v4.0.3: many new features, much faster performance

July 14, 2020, SuiteSparse 5.8.1

    * SLIP_LU v1.0.2: resolved issue #51
    * GraphBLAS v3.3.3: bug fix (GraphBLAS issue #13)

July 2, 2020, SuiteSparse 5.8.0

    * SLIP_LU v1.0.1 added: for solving Ax=b exactly.  Requires
        the GNU GMP and MPRF libraries.
    * GraphBLAS v3.3.1: see the GraphBLAS/Doc/Changlog
    * replaced UFget with ssget: affects nearly all packages:
        UMFPACK, KLU, CHOLMOD, CXSparse/CSparse, etc,
        but their version numbers are left unchanged since it affects
        the MATLAB tests only, not the compiled libraries.
    * ssget v2.2.0: better URL redirects
    * updates to SuiteSparse build system

Apr 8, 2020, SuiteSparse 5.7.2

    * GraphBLAS v3.2.2: port to Microsoft Windows (with MS Visual Studio)

Feb 20, 2020, SuiteSparse 5.7.1

    * SuiteSparse_config: update version number
    * Makefile: fixed install issue with README.txt

Feb 20, 2020, SuiteSparse 5.7.0

    * GraphBLAS 3.2.0: better performance, new ANY and PAIR operators,
        structural mask, GrB_DESC_* from 1.3 C API Specification.
    * CHOLMOD 3.0.14: minor update to cholmod_check to print a matrix
    * added: CONTRIBUTIING.md, CODE_OF_CONDUCT.md, README.md.

Oct 21, 2019, SuiteSparse 5.6.0

    * GraphBLAS 3.1.1: OpenMP parallelism and MATLAB interface

Oct 20, 2019, SuiteSparse 5.5.0

    * GraphBLAS 2.3.5: Collected Algorithm of the ACM
    * UMFPACK 5.7.9: fix for compiling in MATLAB R2018b; BLAS library
    * SPQR, CHOLMOD: fix to *_make.m for compiling in MATLAB; same version
    * KLU: fix to Tcov/Makefile; no change to version number
    * CXSparse 3.2.0: version was incorrect in CXSparse/Include/cs.h;
        the corresponding CSparse v3.2.0 had the correct version information
        in its cs.h include file.
    * ssget and MATLAB_Tools/SuiteSparseCollection: update to sparse.tamu.edu
    * Mongoose 2.0.4: update to sparse.tamu.edu

Dec 28, 2018: SuiteSparse 5.4.0

    * GraphBLAS 2.2.2: many upgrades and new features, a few bug fixes
    * CHOLMOD 3.0.13: fix to cholmod_core.h (for latest CUDA)
    * SPQR 2.0.9: fix to SuiteSparseQR.hpp (for latest CUDA)
    * UMFPACK 5.7.8: minor change to umf_analyze.h (not a bug, but the
        parameter names in the *.h did not match the *.c.
    * ssget: new matrices
    * Mongoose 2.0.3: simpler cmake
    * SuiteSparse_config: added JOBS option for parallel make, also added to
        GraphBLAS, CHOLMOD, SPQR, UMFPACK, Mongoose, and metis-5.1.0

July 5, 2018: SuiteSparse 5.3.0

    * GraphBLAS 2.0.3: bug fix to GxB_resize, better cmake script
    * new package: Mongoose (version 2.0.2)
    * fixed metis gk_arch.h for Windows
    * UMFPACK 5.7.7: modified comments in umfpack*symbolic.h
    * added contributor license for all of SuiteSparse
    * updated and renamed MATLAB_Tools/UFcollection to SuiteSparseCollection

Mar 15, 2018: SuiteSparse 5.2.0

    * GraphBLAS 2.0.1: bug fix to GxB_kron
    * SuiteSparse_config: corrected back to SO_VERSION 5

Mar 12, 2018:

    * GraphBLAS 2.0.0: with changes to API to conform to the latest
        specification.  The SO_VERSION of GraphBLAS must change,
        as a result, since this affects both the ABI and API interface.
    * CHOLMOD 3.1.12: bug fix (no change to the CHOLMOD ABI or API)
    * KLU 1.3.9: minor edit, not a bug fix, but code is more clear now

Dec 28, 2017: SuiteSparse 5.1.2

    * improved build process for GraphBLAS
    * minor change to CSparse/Lib/Makefile, no change in CSparse version

Dec 17, 2017: SuiteSparse 5.1.1

    * GraphBLAS added to top-level SuiteSparse/Makefile
    * GraphBLAS 1.1.1: bug fix to *assign, split AxB for faster compile,
        added memory usage statistics, AxB performance improvment
    * minor update to [AMD CAMD KLU]/Doc/Makefile's, no change to
        version numbers of AMD, CAMD, or KLU

Dec 1, 2017: SuiteSparse 5.1.0

    * GraphBLAS 1.1.0
    * minor update to SPQR Makefile (version remains unchanged;
        no change to source)

Nov 25, 2017: SuiteSparse 5.0.0

    * added GraphBLAS Version 1.0.0
    * replaced UFget with ssget

Oct 3, 2017: SuiteSparse 4.5.6

    * changed COLAMD, CAMD, and CCOLAMD to BSD 3-clause,
        to match AMD.  No other changes; version numbers of
        packages unchanged.

Apr 17, 2017: SuiteSparse 4.5.5

    * minor fix to SuiteSparse/Makefile for 'make install'

Dec 8, 2016: SuiteSparse 4.5.4

    * minor update to SPQR for ACM TOMS submission

May 4, 2016: SuiteSparse 4.5.3

    * minor changes to Makefiles

Apr 1, 2016: SuiteSparse 4.5.2

    * licensing simplified (no other change); refer to PACKAGE/Doc/License.txt
        for the license for each package.

Feb 1, 2016: SuiteSparse 4.5.1

    * update to Makefiles.  Version 4.5.0 is broken on the Mac.
	That version also compiles *.so libraries on Linux with
	underlinked dependencies to other libraries in SuiteSparse.
	For example, AMD requires SuiteSparse_config.  The links to
	required libraries are now explicitly included in each library,
	in SuiteSparse 4.5.1.
    * minor change to CHOLMOD/Check/cholmod_write.c, when compiling with
	options that disable specific modules

Jan 30, 2016: SuiteSparse 4.5.0

    * better Makefiles for creating and installing shared libraries
    * CHOLMOD now uses METIS 5.1.0, which is distributed with SuiteSparse
    * fix for MATLAB R2015b, which changed how it creates empty matrices,
	as compared to prior versions of MATLAB.  This change in MATLAB
	breaks many of the mexFunctions in prior versions of SuiteSparse.
	If you use MATLAB R2015b, you must upgrade to SuiteSparse 4.5.0
	or later.

Jan 1, 2016: SuiteSparse 4.4.7

    * note that this minor update fails on the Mac, so its
        listed on my web page as a 'beta' release.
    * Improved the Makefiles of all packages.  They now create *.so
        shared libraries (*.dylib on the Mac).  Also, there is now
        only a single SuiteSparse_config.mk file.  It now determines
        your system automatically, and whether or not you have METIS
        and CUDA.  It also automatically detects if you have the Intel
        compiler or not, and uses it if it finds it.  There should be
        no need to edit this file for most cases, but you may need to
        for your particular system.  With this release, there are almost
        no changes to the source code, except for the VERSION numbers
        defined in the various include *.h files for each package.

Aug 2015: SuiteSparse version 4.4.6

    * SPQR: changed default tol when A has infs, from inf to realmax (~1e308)

July 2015: SuiteSparse version 4.4.5

    * CHOLMOD 3.0.6:
        - minor fix to CHOLMOD (disabling modules did not work as expected)
        - added MATLAB interface for row add/delete (lurowmod)
    * KLU 1.3.3: Fix for klu_dump.c (debugging case only)
    * UFcollection:  added additional stats for matrix collection
    * AMD: changed the default license.  See AMD/Doc/License.txt for details.

Mar 24, 2015: SuiteSparse version 4.4.4

    * CHOLMOD version number corrected.  In 4.4.3, the CHOLMOD_SUBSUB_VERSION
        string was left at '4' (it should have been '5', for CHOLMOD 3.0.5).
        This version of SuiteSparse corrects this glitch.
    * Minor changes to comments in SuiteSparse_config.
    * SPQR version 2.0.1 released (minor update to documentation)

Jan 19, 2015: SuiteSparse version 4.4.3

    * CHOLMOD 3.0.5: minor bug fix to MatrixOps/cholmod_symmetry

Jan 7, 2015: SuiteSparse version 4.4.2

    * CHOLMOD 3.0.4: serious bug fix in supernodal factorization,
	introduced in CHOLMOD 3.0.0 (SuiteSparse 4.3.0).  Can cause segfault,
	and has no user workaround.

Oct 23, 2014: SuiteSparse version 4.4.1
    Minor update:  two bug fixes (affecting Windows only)

    * CHOLMOD 3.0.3:
        minor update to CHOLMOD (non-ANSI C usage in one *.c file, affects
        Windows only)
    * KLU 1.3.2:
        minor fix to MATLAB install; no change to C except version nubmer


Oct 10, 2014: SuiteSparse version 4.4.0
    MAJOR UPDATE:  new GPU-acceleration for SPQR

    * AMD 2.4.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * BTF 1.2.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * CAMD 2.4.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * CCOLAMD 2.9.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * CHOLMOD 3.0.2:
        update to accomodate GPU-accelerated SPQR
        added CHOLMOD/Include/cholmod_function.h
    * COLAMD 2.9.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * CSparse 3.1.4:
        minor fix to MATLAB install; no change to C except version nubmer
    * CXSparse 3.1.4:
        minor fix to MATLAB install; no change to C except version nubmer
    * GPUQREngine 1.0.0:
        FIRST RELEASE.  Used by SPQR 2.0.0
    * KLU 1.3.1:
        minor fix to MATLAB install; no change to C except version nubmer
        update to KLU/Tcov/Makefile
    * LDL 2.2.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * RBio 2.2.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * SPQR 2.0.0:
        MAJOR UPDATE.  added GPU support.  Up to 11x faster than on CPU
    * SuiteSparse_GPURuntime 1.0.0:
        FIRST RELEASE.  Used by SPQR 2.0.0
    * UMFPACK 5.7.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * MATLAB_Tools:
        modified SSMULT/ssmult_install.m.  No change to C code


July 18, 2014: SuiteSparse version 4.3.1
    Minor update:  added cholmod_rowfac_mask2 function to CHOLMOD

    * CHOLMOD 3.0.1:
        added cholmod_rowfac_mask2 function.  Minor fix to build process
    * SPQR 1.3.3:
        minor fix to build process


March 26, 2014: SuiteSparse version 4.3.0
    MAJOR UPDATE: first release of CHOLMOD GPU acceleration
    minor update: modified all packages to use SuiteSparse_config for
        malloc/calloc/realloc/free, printf, hypot, and divcomplex
        function pointers.

    * AMD 2.4.0:
        changed malloc/printf pointers to use SuiteSparse_config
    * CAMD 2.4.0:
        changed malloc/printf pointers to use SuiteSparse_config
    * CCOLAMD 2.9.0:
        changed malloc/printf pointers to use SuiteSparse_config
    * CHOLMOD 3.0.0:
        MAJOR UPDATE to GPU acceleration.  Released at GTC 2014.
    * COLAMD 2.9.0:
        changed malloc/printf pointers to use SuiteSparse_config
    * CSparse 3.1.3:
        minor update to UFget
    * CXSparse 3.1.3:
        minor update to UFget
    * KLU 1.3.0:
        changed malloc/printf pointers to use SuiteSparse_config
    * LDL 2.2.0:
        changed malloc/printf pointers to use SuiteSparse_config
    * RBio 2.2.0:
        changed malloc/printf pointers to use SuiteSparse_config
    * SPQR 1.3.2:
        changed malloc/printf pointers to use SuiteSparse_config
    * UMFPACK 5.7.0:
        changed malloc/printf pointers to use SuiteSparse_config
    * MATLAB_Tools:
        added stats to UFcollection, revised commends in SFMULT,
        minor update to spok


April 25, 2013: SuiteSparse version 4.2.1
    minor update

    * CHOLMOD 2.1.2:
        minor update to Cholesky/*solve*c (for Windows compiler)
    * UMFPACK 5.6.2:
        bug fix in Demo/Makefile for Fortran interface
    * MATLAB_Tools:
        minor update to sparseinv


April 16, 2013: SuiteSparse version 4.2.0
    minor update and bug fix

    * CHOLMOD 2.1.1:
        minor changes to GPU accelerated version, fixed GPU memory leak
    * CSparse 3.1.2:
        minor update to cs_sqr.c; no affect on functionality
    * CXSparse 3.1.2:
        minor update to cs_sqr.c; no affect on functionality

March 27, 2013: SuiteSparse version 4.1.0
    new features added to CHOLMOD

    * CHOLMOD 2.1.0:
        added new features and functions to forward/backsolve:
        cholmod_lsolve_pattern, cholmod_solve2, cholmod_ensure_dense.
    * MATLAB_Tools:
        added SFMULT.  minor update to Factorize, problems added to dimacs10

July 17, 2012: SuiteSparse version 4.0.2
    major update to MATLAB_Tools/Factorize.  No change to any C code.

    * MATLAB_Tools:
        major update to Factorize, minor update to sparseinv


June 20, 2012: SuiteSparse version 4.0.1

    * AMD 2.3.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * CAMD 2.3.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * CHOLMOD 2.0.1:
        bug fix for GPU code, when the matrix is singular
        minor fix to MATLAB install
    * CSparse 3.1.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * CXSparse 3.1.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * KLU 1.2.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * RBio 2.1.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * SPQR 1.3.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * UMFPACK 5.6.1:
        minor fix to MATLAB install; no change to C except version nubmer
    * MATLAB_Tools:
        update to UFcollection (filesep)


June 1, 2012: SuiteSparse version 4.0.0
    MAJOR UPDATE: First GPU version for CHOLMOD.
    UFconfig renamed to SuiteSparse_config.

    * AMD 2.3.0:
        replaced UFconfig with SuiteSparse_config
    * BTF 1.2.0:
        replaced UFconfig with SuiteSparse_config
    * CAMD 2.3.0:
        replaced UFconfig with SuiteSparse_config
    * CCOLAMD 2.8.0:
        replaced UFconfig with SuiteSparse_config
    * CHOLMOD 2.0.0:
        replaced UFconfig with SuiteSparse_config
        first GPU-accelerated version.
    * COLAMD 2.8.0:
        replaced UFconfig with SuiteSparse_config
    * CSparse 3.1.0:
        minor changes to enable creation of CXSparse 3.1.0
    * CXSparse 3.1.0:
        replaced UFconfig with SuiteSparse_config
    * KLU 1.2.0:
        replaced UFconfig with SuiteSparse_config
    * LDL 2.1.0:
        replaced UFconfig with SuiteSparse_config
    * RBio 2.1.0:
        replaced UFconfig with SuiteSparse_config
    * SPQR 1.3.0:
        replaced UFconfig with SuiteSparse_config
        removed spqr_time; using SuiteSparse timing routines instead
    * UMFPACK 5.6.0:
        replaced UFconfig with SuiteSparse_config
    * MATLAB_Tools:
        update to documentation for Factorize, update to UFcollection

May 15, 2012: SuiteSparse version 3.7.1
    minor update

    * AMD 2.2.4:
        minor compiler workaround
    * CAMD 2.2.4:
        minor compiler workaround
    * KLU 1.1.4:
        bug fix in the case of Int overflow
    * MATLAB_Tools:
        minor update to spqr_rank and UFcollection

Dec 15, 2011: SuiteSparse version 3.7.0
    MAJOR UPDATE: added spqr_rank and sparseinv to MATLAB_Tools
    major update to Factorize package in MATLAB_Tools
    minor update to Makefiles for C code.

    * AMD 2.2.3:
        Makefile updated
    * BTF 1.1.3:
        Makefile updated
    * CAMD 2.2.3:
        Makefile updated
    * CCOLAMD 2.7.4:
        Makefile updated
    * CHOLMOD 1.7.4:
        Makefile updated
    * COLAMD 2.7.4:
        Makefile updated
    * CSparse 3.0.2:
        Makefile updated.  Fix to MATLAB install.  Now as CSparse (not CSparse3)
    * KLU 1.1.3:
        Makefile updated.  minor fix to MATLAB mexFunction
    * LDL 2.0.4:
        Makefile updated.  Update to demo program
    * RBio 2.0.2:
        Makefile updated.  Update to MATLAB mexFunction
    * SPQR 1.2.3
        Makefile updated.  Update to MATLAB install
    * UMFPACK 5.5.2:
        Makefile updated.  Update to MATLAB install
    * MATLAB_Tools:
        added spqr_rank and sparseinv.  Major update to Factorize, dimacs10



May 10, 2011: SuiteSparse version 3.6.1
    minor update

    * SPQR 1.2.2:
        minor fix, compiler workaround
    * CSparse 3.0.1:
        Added as the CSparse3 directory (original date Jan 19, 2010;
        added to SuiteSparse on May 10, 2011.  Note that CSparse v2.x.x.
        was also distributed)
    * MATLAB_Tools:
        added dimacs10.  Minor update to spok.


Jan 25, 2011: SuiteSparse version 3.6.0
    minor update

    * AMD 2.2.2:
        Makefile updated.
    * BTF 1.1.2:
        Makefile updated.
    * CAMD 2.2.2:
        Makefile updated.
    * CCOLAMD 2.7.3:
        Makefile updated.  Minor fix to stats printout
    * CHOLMOD 1.7.3:
        Makefile updated.  Minor fix, compiler workaround
    * COLAMD 2.7.3:
        Makefile updated
    * CSparse 2.2.5:
        Makefile updated.  minor fixes to UFget, cs_util.c.
    * KLU 1.1.2:
        Makefile updated.  ported Tcov to Mac.
    * LDL 2.0.3:
        Makefile updated.
    * RBio 2.0.1:
        Makefile updated.
    * SPQR 1.2.1:
        Makefile updated.  Added examples.  Fixed error handling.
    * UMFPACK 5.5.1:
        Makefile updated.
    * MATLAB_Tools:
        minor update to spok

Nov 30, 2009: SuiteSparse version 3.5.0
    major update to SPQR and RBio; minor updates to Makefiles.

    * AMD 2.2.1:
        Makefile updated.
    * BTF 1.1.1
        Makefile updated.
    * CAMD 2.2.1:
        Makefile updated.
    * CCOLAMD 2.7.2:
        Makefile updated.
    * CHOLMOD 1.7.2:
        Makefile updated.  Fixed 64-bit BLAS for MATLAB 7.8.
    * COLAMD 2.7.2:
        Makefile updated.
    * CSparse 2.2.4
        Makefile updated.  MATLAB install updated.
    * KLU 1.1.1:
        Makefile updated.
    * LDL 2.0.2:
        Makefile updated.
    * RBio 2.0.0:
        major update: rewritten in C.  No longer in Fortran.
        Makefile updated.
    * SPQR 1.2.0:
        major update: added features required by MATLAB package spqr_rank,
        changed default ordering to COLAMD.
        Makefile updated.
    * UMFPACK 5.5.0:
        major update.  Added user-ordering function, interface to CHOLMOD
        orderings, option to disable singleton search to allow L to be
        well-conditioned.
        Makefile updated.
    * MATLAB_Tools:
        major update to Factorize.  Minor updates to GEE, getversion, spok.


May 20, 2009: SuiteSparse version 3.4.0
    MAJOR UPDATE: added Factorize package to MATLAB_TOols
    major update to UMFPACK (removed 2-by-2 strategy)

    * RBio 1.1.2:
        update to MATLAB install
    * SPQR 1.1.2:
        added more examples.  Mac compiler workaround.
    * UMFPACK 5.4.0:
        removed 2-by-2 strategy.  update to MATLAB install.
    * MATLAB_Tools:
        added Factorize


March 24, 2009: SuiteSparse version 3.3.0
    minor update

    * BTF 1.1.0:
        minor update.
    * CHOLMOD 1.7.1:
        bug fix for cholmod_symmetry
    * CSparse 2.2.3:
        cs_gaxpy example fixed.  Minor change to MATLAB cs_sparse interface
    * CXSparse 2.2.3:
        cs_gaxpy example fixed.  Minor change to MATLAB cs_sparse interface
    * KLU 1.1.0:
        minor update.
    * SPQR 1.1.1:
        minor update (compiler workaround)
    * UMFPACK 5.3.0:
        compiler workaround.  added timer options.
        bug fix for 2-by-2 strategy (subsequently removed in v5.4.0)

Sept 20, 2008: SuiteSparse version 3.2.0
    MAJOR UPDATE: first release of SPQR

    * CHOLMOD 1.7.0:
        major update for SPQR.
    * CXSparse 2.2.2:
        update to MATLAB install
    * CSparse 2.2.2:
        update to MATLAB install
    * SPQR 1.1.0:
        FIRST RELEASE in SuiteSparse.
    * MATLAB_TOOLS:
        added: GEE, find_components, spok

Nov 1, 2007: SuiteSparse version 3.1.0
    minor update

    * BTF 1.0.1:
        minor update.
    * CCOLAMD 2.7.1:
        minor changes to MATLAB test code.
    * CHOLMOD 1.6.0:
        bug fix to cholmod_symmetry.  Performance fix for cholmod_nesdis.
        port to MATLAB 7.5 and many minor changes in MATLAB interface.
    * COLAMD 2.7.1:
        minor changes to MATLAB test code.
    * CSparse 2.2.1:
        minor update.
    * CXSparse 2.2.1:
    * KLU 1.0.1:
        minor lint cleanup.
    * RBio 1.1.1:
        minor lint cleanup.
        minor update.
    * UMFPACK 5.2.0:
        change of default license.  minor lint cleanup.
        port to MATLAB 7.5.
    * MATLAB_Tools:
        added: LINFACTOR, MESHND, SSMULT, getversion, gipper, hprintf,
            pagerankdemo, shellgui, and waitmex

May 31, 2007: SuiteSparse version 3.0.0
    MAJOR UPDATE: first stable release of KLU and BTF
    other packages ported to 64-bit MATLAB.

    * AMD 2.2.0:
        port to 64-bit MATLAB.  minor changes in printing.
    * BTF 1.0.0:
        FIRST STABLE RELEASE
    * CAMD 2.2.0:
        port to 64-bit MATLAB.  minor changes in printing.
    * CCOLAMD 2.7.0:
        port to 64-bit MATLAB.  restructured directories
    * CHOLMOD 1.5.0:
        port to 64-bit MATLAB.  update to Makefile.
        bug fix for BLAS int, update to cholmod_updown.
    * COLAMD 2.7.0:
        port to 64-bit MATLAB.  restructured directories
    * CSparse 2.2.0:
        update to MATLAB interface.  restructured directories
    * LDL 2.0.0:
        major update:  added 64bit version, restructured directories
    * RBio 1.1.0:
        port to 64-bit MATLAB.
    * UMFPACK 5.1.0:
        port to 64-bit MATLAB.  minor changes in printing.

Dec 13, 2006: SuiteSparse version 2.4.0
    minor update

    * AMD 2.0.4:
        minor MATLAB cleanup
    * CAMD 2.1.2:
        minor MATLAB cleanup
    * CCOLAMD 2.5.2
        minor MATLAB cleanup
    * CHOLMOD 1.4.0:
        added support for large files.  Renamed MATLAB interface to cholmod2.
        minor MATLAB cleanup.
    * COLAMD 2.5.2:
        minor MATLAB cleanup
    * CSparse 2.0.7:
        minor MATLAB cleanup
    * CXSparse 2.0.7:
        minor MATLAB cleanup
    * LDL 1.3.4:
        minor MATLAB cleanup
    * UMFPACK 5.0.3:
        minor MATLAB cleanup

Dec 7, 2006: SuiteSparse version 2.3.1
    minor update

    * CSparse 2.0.6:
        update to UFget
    * CXSparse 2.0.6:
        update to UFget

Dec 2, 2006: SuiteSparse version 2.3.0
    MAJOR UPDATE

    * CHOLMOD 1.3.0:
        major update to file IO functions, added cholmod_symmetry,
        minor fix to cholmod_analyze_odering and cholmod_dense.c.
    * MATLAB_Tools:
        added UFcollection

Sept 11, 2006: SuiteSparse version 2.1.1

    * AMD 2.0.1:
        minor update
    * CAMD 2.1.1:
        minor update
    * CHOLMOD 1.2.0:
        performance improvements.  Added ordering options to MATLAB interface
    * COLAMD 2.5.1:
        minor update
    * CCOLAMD 2.5.1:
        minor update
    * CSparse 2.0.2:
        minor update to MATLAB interface
    * CXSparse 2.0.2:
        minor update to MATLAB interface
    * LDL 1.3.1:
        minor update to MATLAB interface
    * UMFPACK 5.0.1:
        minor update

